org.apache.tinkerpop.gremlin.process.traversal.traverser.util

## Class IndexedTraverserSet.VertexIndexedTraverserSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Traverser.Admin<S>>
    - - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.TraverserSet<S>
      - - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.IndexedTraverserSet<Object,Vertex>
        - - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.IndexedTraverserSet.VertexIndexedTraverserSet

- All Implemented Interfaces:
    Serializable, Iterable<Traverser.Admin<Object>>, Collection<Traverser.Admin<Object>>, Queue<Traverser.Admin<Object>>, Set<Traverser.Admin<Object>>
  Enclosing class:
    IndexedTraverserSet<S,I>

      public static class IndexedTraverserSet.VertexIndexedTraverserSet
      extends IndexedTraverserSet<Object,Vertex>

  An `IndexedTraverserSet` that indexes based on a `Vertex` traverser.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.IndexedTraverserSet

      `IndexedTraverserSet.VertexIndexedTraverserSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexIndexedTraverserSet()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.IndexedTraverserSet

      `add, clear, get, offer, remove, remove`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.TraverserSet

      `bulkSize, contains, element, get, isEmpty, iterator, peek, poll, shuffle, size, sort, spliterator, toString`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### VertexIndexedTraverserSet

          public VertexIndexedTraverserSet()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.